Page MenuHomePhabricator

Hacking: Multiple watchlists
Closed, ResolvedPublic

Description

Reach Jon Robson (jdlrobson) on Freenode webchat on the #wikimedia-mobile channel.

My plan is using the infrastructure provided by the Gather extension we will prototype a watchlist that supports multiple watchlists (basically make a proposal for T9467).

I will demo the infrastructure we've built and show you a prototypes that I hope to hack on..
Come if:

  • you think you can help generalise the watchlist code in core to support this initiative and make multiple watchlists closer to reality.
  • you like change
  • you know the existing Watchlist core code
  • you want multiple watchlists
  • you want to provide insights on how this should be architected

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task to Hacking proposals on the Wikimedia-Hackathon-2015 board.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 21 2015, 6:26 PM
Tgr added a subscriber: Tgr.May 22 2015, 9:55 AM

For attendees to this session:
You can see https://www.mediawiki.org/wiki/Extension:Gather to try this feature out
Please file feature requests against https://phabricator.wikimedia.org/tag/gather/

Qgil closed this task as Resolved.May 24 2015, 8:26 PM
Qgil claimed this task.